Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QSqlRecord

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QSqlRecord class reference

### Public Functions

- const QSqlField * fieldPtr ( int index ) const `(obsolete)`
- const QSqlField * fieldPtr ( const QString & name ) const `(obsolete)`

## Member Function Documentation

### const QSqlField * QSqlRecord::fieldPtr ( int index ) const

Use field() instead

### const QSqlField * QSqlRecord::fieldPtr ( const QString & name ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use field() instead